Create config

Create a new config

POST
/configs
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Config creation input

allowUserOverride?boolean

Whether user preferences are allowed for this config. When true, users can override the value

keystring

Unique key for the config.

schema

JSON Schema for the config. Must be a valid JSON Schema.

scopeConfigScope

Scope of the config. Must be one of the following: ORGANIZATION, SPACE, APP, USER

scopeId?string

ID of the scope (space, app, etc.). Required if scope is SPACE or APP.

value?unknown

Initial value for the config.

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/configs" \  -H "Content-Type: application/json" \  -d '{    "key": "string",    "schema": null,    "scope": "tenant"  }'
{
  "allowUserOverride": true,
  "createdAt": "string",
  "deprecatedVersion": true,
  "id": "string",
  "key": "string",
  "organizationId": "string",
  "schema": null,
  "scope": "tenant",
  "scopeId": "string",
  "system": true,
  "updatedAt": "string",
  "value": null,
  "version": 0
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}